import { type Static } from '@sinclair/typebox';
import type { ValidationError } from './validatedFetch.js';
import { FwType } from './devices.js';
import type { FetchError } from './FetchError.js';
export declare const FOTABundle: import("@sinclair/typebox").TObject<{
    bundleId: import("@sinclair/typebox").TString;
    lastModified: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    size: import("@sinclair/typebox").TNumber;
    version: import("@sinclair/typebox").TString;
    type: import("@sinclair/typebox").TEnum<typeof FwType>;
    filenames: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>;
    name: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
}>;
export declare const getFOTABundles: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => () => Promise<{
    error: FetchError | ValidationError;
} | {
    bundles: Array<Static<typeof FOTABundle>>;
}>;
